TORRUS_GENDDX(8)

NAME
genddx - Generates SNMP discovery instructions file for devdiscover

SYNOPSIS
torrus genddx --host=HOSTNAME | --hostfile=HOSTFILENAME \ [options...]

DESCRIPTION
genddx generates the SNMP discovery instructions file, which may be later used as input for the devdiscover utility to produce the corresponding Torrus XML configuration file. The hostname(s) of router(s) to be included in SNMP discovery must be specified either using the --host (for a single router) or --hostfile option. In the latter case the file HOSTFILENAME must contain a space-separated list of router hostnames. Hostnames may have the form "host:devname" where "devname" is a symbolic device name.

This utility is designed to be used only once, in order to generate the discovery XML canvas, for further manual editing. It generates only basic set of parameters, and there are much more of those that you may use to customize the discovery process.

See torrus_ttproclist(8) for a more flexible and complex DDX generator.

More information is available in Torrus SNMP Discovery User Guide.

OPTIONS

--out=OUTFILENAME
    Sets the output file to OUTFILENAME. Default is routers.ddx. Without absolute path, the file will be placed in /etc/torrus/discovery.

--discout=FILENAME
    Sets the discovery output file to FILENAME. This will be the filename of the Torrus XML configuration file once the output file of the genddx is processed by the devdiscover utility. Default value is routers.xml. Without absolute path, the file would be resided in /etc/torrus/xmlconfig.

--domain=DOMAIN
    Sets the DNS domain name to DOMAIN.

--version=SNMPVERSION
    Sets discovery SNMP version to SNMPVERSION. Default value is "2c".

--community=COMMUNITY
    Sets discovery SNMP read community value to string COMMUNITY. Default is "public".

--port=PORT
    Sets SNMP port to PORT. Default is 161.

--retries=NUMRETRIES
    Sets number of retries to NUMRETRIES. Default value is 2.

--timeout=TIMEOUT
    Sets SNMP timeout to TIMEOUT seconds. Default value is 10.

--subtree=SUBTREE
    Sets the subtree name to SUBTREE. Default is "/Routers".

--datadir=DATADIR
    Sets the path of the directory where SNMP data is collected to DATADIR. Default value is /var/lib/torrus/collector_rrd.

--holtwinters
    Enables Holt-Winters analysis.

FILES

/etc/torrus/discovery/routers.ddx
    Default output file of genddx.

/etc/torrus/xmlconfig/routers.xml
    Default Torrus XML configuration file which will be written once the genddx output file is processed with devdiscover utility.

SEE ALSO
torrus(8), torrus_devdiscover(8), torrus_ttproclist(8)

NOTES
See more documentation at Torrus home page: http://torrus.org

AUTHOR
Stanislav Sinyagin <ssinyagin@k-open.com>